View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000353Sphinxgeneralpublic2009-05-14 13:312012-02-05 15:27
Reporterlakinder 
Assigned ToK 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.9.9-rc2 
Target VersionFixed in Version 
Summary0000353: searchd segfault
DescriptionSphinx 0.9.9-rc1
linux 2.6.26-2-686
gcc version 4.3.3 (Debian 4.3.3-3)

dmesg:
[179010.399233] searchd[2843]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[179840.166129] searchd[5366]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[180112.685751] searchd[6325]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[180163.858438] searchd[6479]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[181065.705914] searchd[8587]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[181154.889177] searchd[9120]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[181218.271739] searchd[9241]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[181456.379920] searchd[10079]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[181865.020091] searchd[11080]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]
[181876.752523] searchd[11144]: segfault at 20 ip 080cc122 sp bfe4ba00 error 6 in
searchd[8048000+f1000]


I know how to reproduce it.
Standard configuration.
Queries like
"aa ss dd ff gg hh jj kk ll qq ww ee rr tt yy uu ii oo pp zz xx cc vv bb nn mm 1q 2w 3e
4r 5t 6y aa ss dd ff gg hh jj kk ll qq ww ee rr tt yy uu ii oo pp zz xx cc vv bb nn mm 1q
2w 3e 4r 5t 6y 5t"
using php library segfault searchd.
While
"aa ss dd ff gg hh jj kk ll qq ww ee rr tt yy uu ii oo pp zz xx cc vv bb nn mm 1q 2w 3e
4r 5t 6y aa ss dd ff gg hh jj kk ll qq ww ee rr tt yy uu ii oo pp zz xx cc vv bb nn mm 1q
2w 3e 4r 5t 6y"
not.
So there is 64-words limit without check ?



I use SPH_MATCH_EXTENDED2

It is also possible that it segfaults on queries like:
"aa ss dd ff gg hh jj kk ll qq ww ee rr tt yy uu ii oo pp zz xx cc vv bb nn mm 1q 2w 3e
4r 5t 6y aa ss dd ff gg hh jj kk ll qq ww ee rr tt yy uu ii oo pp zz xx cc vv bb nn mm 1q
2w 3e 4r 5t 6y 5t"/1
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000430)
lakinder (reporter)
2009-05-23 12:13

not a single chance to resolv ? :)
(0000441)
K (reporter)
2009-06-16 09:55

Fixed in r1830.

- Issue History
Date Modified Username Field Change
2009-05-14 13:31 lakinder New Issue
2009-05-23 12:13 lakinder Note Added: 0000430
2009-06-09 14:29 K Status new => acknowledged
2009-06-16 09:55 K Note Added: 0000441
2009-06-16 09:55 K Status acknowledged => resolved
2009-06-16 09:55 K Resolution open => fixed
2009-06-16 09:55 K Assigned To => K
2012-02-05 15:27 shodan Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker